/* conf.h */
/* zpracovani konfiguracniho souboru pro program cz2cz */
/* verze 1.0 */

/*
 * cz2cz tools
 * Copyright (C) 2004 Vlastimil Krejcir
 *
 * This file is part of cz2cz.
 *
 * cz2cz is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef CONF_H
#define CONF_H

extern unsigned long c_start;
extern int c_mode;
extern char *c_destination_code, *c_source_code, *c_pp, *c_l_ends; /* (1) */

extern int conf_file(FILE *fil); /* zpracuje udaje z konfiguracniho souboru */
extern void c_free(void); /* uvolni pamet, ketrou zabiraji promenne (1) */

#endif



