/* cz2czdef.h */
/* definice maker pro program cz2cz */
/* Verze 1.2 */

/*
 * cz2cz tools
 * Copyright (C) 2004 Vlastimil Krejcir
 *
 * This file is part of cz2cz.
 *
 * cz2cz is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef CZ2CZDEF_H
#define CZ2CZDEF_H

/* misc */
#define AUTHOR "Vlastimil Krejcir 2005\nKontakt: krejvl@users.sourceforge.net\nURL: http://sourceforge.net/projects/cz2cz/\n" 

/* errors */
#define CZ_CANTCLOSEF 3
#define CZ_CANTOPENF 4
#define CZ_STDOUTERR 7
#define CZ_CODENOTSUPP 8
#define CZ_CANTWRITETOF 9
#define CZ_NOINPUTF 10
#define CZ_NOTENOUGHMEM 11
#define CZ_INPUTFDIRERR 12
#define CZ_OUTPUTFDIRERR 13
#define CZ_CANTPREPTEMP 14
#define CZ_CANTOPENTEMP 15
#define CZ_DIRNEEDED 16
#define CZ_EMPTYSUFFIX 17
#define CZ_DIR 18
#define CZ_INPUTFNEEDED 20
#define CZ_CANTOPENDB 21
#define CZ_INPUTCODENEEDED 22
#define CZ_CANTCREATEDB 23
#define CZ_DETECTFAILED 24 
#define CZ_BADOUTPUTCODE 25
#define CZ_BADINPUTCODE 26
#define CZ_BADINPUTCODE_CONF 27
#define CZ_BADOUTPUTCODE_CONF 28
#define CZ_BADLENDS_CONF 29
#define CZ_BADMODE_CONF 30
#define CZ_CONFFERR 31
#define CZ_BADVARCONFF 32
#define CZ_BADLINEEND 33
#define CZ_BADMODE 34
#define CZ_CANTSETSUFFIX 35
#define CZ_CANTDETTECTLINEENDS 36
#define CZ_SEEKERROR 37

/* warnings */
#define CZ_CANTUSEOUTPUTF 6
#define CZ_CANTOPENCONFF 11
#define CZ_BADSTARTNO 13
#define CZ_SIMPLEDETECT 15
#define CZ_SAMECODES 16
#define CZ_DBNOTEXIST 17


/* other err */
#define CZ_DBFATALERROR -127

/* defines */
/*
 *  #define CZ_DATAB "cz2czdbm.dat" 
 */
#define CRLF 1
#define CR 3
#define LF 0
#define SAME -1
#define STR_LENGHT 1024

#define CZ_ISO 1
#define CZ_WIN 2
#define CZ_LAT 3
#define CZ_KAM 4
#define CZ_UTF8 5
#define CZ_ASCII 6
#define CZ_POST 7
#define CZ_PREF 8
#define CZ_TEX 9


#endif










